Debian セキュリティ勧告

DSA-1059-1 quagga -- 複数の脆弱性

報告日時:
2006-05-19
影響を受けるパッケージ:
quagga
危険性:
あり
参考セキュリティデータベース:
Debian バグ追跡システム: バグ 365940, バグ 366980.
(SecurityFocus の) Bugtraq データベース: BugTraq ID 17808.
Mitre の CVE 辞書: CVE-2006-2223, CVE-2006-2224, CVE-2006-2276.
詳細:

Konstantin Gavrilenko さんにより、BGP/OSPF/RIP ルーティングデーモン quagga に複数の脆弱性が発見されました。 Common Vulnerabilities and Exposures プロジェクトでは以下の問題を特定しています。

  • CVE-2006-2223

    quagga で MD5 認証を使うように設定している場合でも、 リモートの攻撃者が RIPv1 REQUEST パケットによって重要な情報を得る可能性があります。

  • CVE-2006-2224

    quagga で MD5 認証を使うように設定している場合でも、 リモートの攻撃者が RIPv1 RESPONSE パケットを用いて任意のルートを注入することが可能です。

  • CVE-2006-2276

    Fredrik Widell さんにより、ローカルのユーザが telnet インターフェース経由で sh ip bgp コマンドを使って、サービス不能 (DoS) 攻撃を引き起こせることが発見されました。

前安定版ディストリビューション (oldstable、コードネーム woody) は、quagga パッケージを含んでいません。

安定版ディストリビューション (stable、コードネーム sarge) では、これらの問題はバージョン 0.98.3-7.2 で修正されています。

不安定版ディストリビューション (unstable、コードネーム sid) では、これらの問題はバージョン 0.99.4-1 で修正されています。

quagga パッケージのアップグレードをお勧めします。

修正:

Debian GNU/Linux 3.1 (sarge)

ソース:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2.dsc
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2.diff.gz
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3.orig.tar.gz
アーキテクチャ非依存コンポーネント:
http://security.debian.org/pool/updates/main/q/quagga/quagga-doc_0.98.3-7.2_all.deb
Alpha:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/q/quagga/quagga_0.98.3-7.2_sparc.deb

一覧にあるファイルの MD5 チェックサムは勧告の原文にあります。